libwt-4.1.0-alt1.i586.rpm


Advertisement

Description

libwt - Wt (pronounced as witty) is a C++ library for developing web applications

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libwt-4.1.0-alt1.i586.rpm
Package name libwt
Package version 4.1.0
Package release alt1
Package architecture i586
Package type rpm
Category Development/C++
Homepage -
License -
Maintainer -
Download size 9.03 MB
Installed size 9.03 MB
Wt (pronounced as witty) is a C++ library for developing web applications.
The API is widget-centric and uses well-tested patterns of desktop GUI development
tailored to the web.
To the developer, it offers abstraction of many web-specific implementation details,
including client-server protocols (HTTP, Ajax, WebSockets),
and frees the developer from tedious JavaScript manipulations of HTML and dealing
with cross-browser issues. Instead, with Wt,
you can focus on actual functionality with a rich set of feature-complete widgets.

Alternatives

Package Version Architecture Repository
libwt-4.1.0-alt1.x86_64.rpm 4.1.0 x86_64 Classic
libwt - - -

Requires

Name Value
ld-linux.so.2 -
ld-linux.so.2(GLIBC_2.3) -
libboost_filesystem.so.1.67.0 -
libboost_system.so.1.67.0 -
libboost_thread.so.1.67.0 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.15) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.2) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libc.so.6(GLIBC_2.7) -
libc.so.6(GLIBC_2.8) -
libc.so.6(GLIBC_2.9) -
libcrypto.so.1.1 -
libcrypto.so.1.1(OPENSSL_1_1_0) -
libfontconfig.so.1 -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GCC_7.0.0) -
libgcc_s.so.1(GLIBC_2.0) -
libglib-2.0.so.0 -
libgobject-2.0.so.0 -
libhpdf.so.2.3.0 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libpango-1.0.so.0 -
libpangoft2-1.0.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.3.2) -
libpthread.so.0(GLIBC_2.3.3) -
libssl.so.1.1 -
libssl.so.1.1(OPENSSL_1_1_0) -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.2) -
libstdc++.so.6(CXXABI_1.3.7) -
libstdc++.so.6(CXXABI_1.3.8) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.14) -
libstdc++.so.6(GLIBCXX_3.4.15) -
libstdc++.so.6(GLIBCXX_3.4.18) -
libstdc++.so.6(GLIBCXX_3.4.19) -
libstdc++.so.6(GLIBCXX_3.4.20) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.22) -
libstdc++.so.6(GLIBCXX_3.4.5) -
libstdc++.so.6(GLIBCXX_3.4.9) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -
rtld(GNU_UNIQUE) -

Provides

Name Value
libwt = 4.1.0-alt1:sisyphus+236546.100.1.1
libwt.so.4.1.0 -

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libwt-4.1.0-alt1.i586.rpm
Source Package libwt-4.1.0-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libwt rpm package:
    # sudo apt-get install libwt

Files

Path
/usr/lib/libwt.so.4.1.0
/usr/share/doc/libwt-4.1.0/Changelog
/usr/share/doc/libwt-4.1.0/LICENSE
/usr/share/doc/libwt-4.1.0/README.md

Changelog

2019-08-24 - Pavel Vainerman <pv@altlinux.ru> 4.1.0-alt1
- new version (4.1.0) with rpmgs script
2018-11-26 - Pavel Vainerman <pv@altlinux.ru> 4.0.4-alt1
- new version (4.0.4) with rpmgs script
2018-08-29 - Grigory Ustinov <grenka@altlinux.org> 4.0.2-alt2.1
- NMU: Rebuild with new openssl 1.1.0.
2018-06-06 - Aleksei Nikiforov <darktemplar@altlinux.org> 4.0.2-alt2
- NMU: rebuilt with boost-1.67.0.
2017-11-26 - Pavel Vainerman <pv@altlinux.ru> 4.0.2-alt1
- new version (4.0.2) with rpmgs script
2017-11-25 - Igor Vlasenko <viy@altlinux.ru> 3.3.7-alt2
-NMU: rebuild with libharu
2017-06-14 - Pavel Vainerman <pv@altlinux.ru> 3.3.7-alt1
- new version 3.3.7 (with rpmrb script)
2017-01-05 - Pavel Vainerman <pv@altlinux.ru> 3.3.6-alt0.2
- fixed unment dependencies
2017-01-05 - Pavel Vainerman <pv@altlinux.ru> 3.3.6-alt0.1
- new version 3.3.6 (with rpmrb script)

See Also

Package Description
libwt-dbo-4.1.0-alt1.i586.rpm Wt (pronounced as witty) is a C++ library for developing web applications
libwt-dbo-mssql-4.1.0-alt1.i586.rpm Wt (pronounced as witty) is a C++ library for developing web applications (dbo mssql)
libwt-dbo-mysql-4.1.0-alt1.i586.rpm Wt (pronounced as witty) is a C++ library for developing web applications (dbo mysql)
libwt-dbo-sqlite-4.1.0-alt1.i586.rpm Wt (pronounced as witty) is a C++ library for developing web applications (dbo sqlite)
libwt-devel-4.1.0-alt1.i586.rpm Wt (pronounced as witty) is a C++ library for developing web applications
libwt-http-4.1.0-alt1.i586.rpm Wt (pronounced as witty) is a C++ library for developing web applications (http)
libwv-1.2.9-alt2.i586.rpm MSWord 6/7/8/9 binary file -> open format converters (shared library)
libwv-devel-1.2.9-alt2.i586.rpm MSWord 6/7/8/9 binary file -> open format converters (development)
libwv2-0.4.2-alt3.i586.rpm MSWord 6/7/8/9 binary file format -> HTML converter library
libwv2-devel-0.4.2-alt3.i586.rpm MSWord 6/7/8/9 binary file format -> HTML converter (development)
libwvqt-4.6.1-alt5.i586.rpm Server that manages UniConf elements (Qt3 GUI)
libwvqt-devel-4.6.1-alt5.i586.rpm Server that manages UniConf elements (Qt3 GUI) (Qt3 GUI)
libwvstreams-4.6.1-alt5.i586.rpm C++ libraries for rapid application development
libwvstreams-devel-4.6.1-alt5.i586.rpm C++ libraries for rapid application development
libwvstreams-devel-static-4.6.1-alt5.i586.rpm C++ libraries for rapid application development
Advertisement
Advertisement